=== libdeps/native-tft/lvgl/docs/requirements.txt ===
Sphinx
breathe
imagesize
importlib-metadata
sphinx-rtd-theme
sphinx-sitemap
sphinxcontrib-applehelp
sphinxcontrib-devhelp
sphinxcontrib-htmlhelp
sphinxcontrib-jsmath
sphinxcontrib-qthelp
sphinxcontrib-serializinghtml
sphinxcontrib-mermaid==0.9.2
sphinx-design
sphinx-rtd-dark-mode
typing-extensions
sphinx-reredirects
dirsync
