=== libdeps/native-tft/LovyanGFX/examples/Test/build_test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)
list(APPEND EXTRA_COMPONENT_DIRS "$(PROJECT_PATH)/../../../../../LovyanGFX")
include($ENV{IDF_PATH}/tools/cmake/project.cmake)
project(LovyanGFX-build-test)
