=== debian/changelog ===
meshtasticd (2.6.11.25~obs60ec05e~beta) beta; urgency=medium

  * GitHub Actions Automatic packaging for 2.6.11.25~obs60ec05e~beta

 --  <jbennett@incomsystems.biz>  Wed, 18 Jun 2025 11:48:01 +0000
