=== libdeps/native-tft/RadioLib/CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,20 @@
 cmake_minimum_required(VERSION 3.13)
+
+# first gather the files since this is needed for both ESP-IDF as well as other builds
+file(GLOB_RECURSE RADIOLIB_SOURCES
+  "src/*.cpp"
+)
+
+# exclude all HAL source files
+list(FILTER RADIOLIB_SOURCES EXCLUDE REGEX "src/hal/.*\\.cpp")
 
 if(ESP_PLATFORM)
   # Build RadioLib as an ESP-IDF component
   # required because ESP-IDF runs cmake in script mode
   # and needs idf_component_register()
-  file(GLOB_RECURSE RADIOLIB_ESP_SOURCES
-    "src/*.*"
-  )
 
   idf_component_register(
-    SRCS ${RADIOLIB_ESP_SOURCES} 
+    SRCS ${RADIOLIB_SOURCES}
     INCLUDE_DIRS . src 
   )
 
@@ -22,10 +27,6 @@
 
 project(radiolib)
 
-file(GLOB_RECURSE RADIOLIB_SOURCES
-  "src/*.cpp"
-)
-
 add_library(RadioLib ${RADIOLIB_SOURCES})
 
 target_include_directories(RadioLib
@@ -36,7 +37,7 @@
 set_property(TARGET RadioLib PROPERTY CXX_STANDARD 20)
 
 # enable most warnings
-target_compile_options(RadioLib PRIVATE -Wall -Wextra)
+target_compile_options(RadioLib PRIVATE -Wall -Wextra -Wpedantic -Wdouble-promotion)
 
 include(GNUInstallDirs)
