=== libdeps/native-tft/Adafruit SSD1306/scripts/Makefile ===

PY=python3

define HEADER
/**
 * This file is autogenerated, do not edit.
 * Run `make` from the scripts directory to produce splash.h
 *
 * Splashes will be stored in PROGMEM (flash).
 * If SSD1306_NO_SPLASH is defined, the splashes are omitted.
 */

#ifndef SSD1306_NO_SPLASH
/* clang-format off */
endef

define FOOTER
/* clang-format on */
#endif
endef

export HEADER
export FOOTER

splash.h: make_splash.py splash1.png splash2.png
	echo "$$HEADER" > $@
	${PY} make_splash.py splash1.png splash1 >>$@
	${PY} make_splash.py splash2.png splash2 >>$@
	echo "$$FOOTER" >> $@

clean:
	rm -f splash.h
