=== debian/changelog ===
meshtasticd (2.7.10.19259~local94d4bdf~UNRELEASED) UNRELEASED; urgency=medium

  * GitHub Actions Automatic packaging for
    2.7.10.19259~local94d4bdf~UNRELEASED

 --  <jbennett@incomsystems.biz>  Tue, 23 Sep 2025 14:02:21 +0000
