## meshtasticd 2.7.13.336~obs7537d28~unstable

=== debian/changelog ===
meshtasticd (2.7.13.336~obs7537d28~unstable) unstable; urgency=medium

  * GitHub Actions Automatic packaging for
    2.7.13.336~obs7537d28~unstable

 --  <jbennett@incomsystems.biz>  Mon, 13 Oct 2025 02:40:54 +0000
