## meshtasticd 2.7.14.45~obs4df6627~alpha

=== bin/bump_metainfo/requirements.txt ===
defusedxml==0.7.1
