=== libdeps/native-tft/ESP8266 and ESP32 OLED driver for SSD1306 displays/CMakeLists.txt ===
set(COMPONENT_ADD_INCLUDEDIRS src)
set(COMPONENT_PRIV_REQUIRES arduino-esp32)
set(COMPONENT_SRCDIRS src)
register_component()
