=== packages/framework-portduino/cmake-build-debug/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.17

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /home/kevinh/packages/clion-2020.2.1/bin/cmake/linux/bin/cmake

# The command to remove a file.
RM = /home/kevinh/packages/clion-2020.2.1/bin/cmake/linux/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/kevinh/development/meshtastic/Portduino

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/kevinh/development/meshtastic/Portduino/cmake-build-debug

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/home/kevinh/packages/clion-2020.2.1/bin/cmake/linux/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/home/kevinh/packages/clion-2020.2.1/bin/cmake/linux/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/kevinh/development/meshtastic/Portduino/cmake-build-debug/CMakeFiles /home/kevinh/development/meshtastic/Portduino/cmake-build-debug/CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/kevinh/development/meshtastic/Portduino/cmake-build-debug/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named Portduino

# Build rule for target.
Portduino: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 Portduino
.PHONY : Portduino

# fast build rule for target.
Portduino/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/build
.PHONY : Portduino/fast

cores/arduino/api/Common.o: cores/arduino/api/Common.cpp.o

.PHONY : cores/arduino/api/Common.o

# target to build an object file
cores/arduino/api/Common.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Common.cpp.o
.PHONY : cores/arduino/api/Common.cpp.o

cores/arduino/api/Common.i: cores/arduino/api/Common.cpp.i

.PHONY : cores/arduino/api/Common.i

# target to preprocess a source file
cores/arduino/api/Common.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Common.cpp.i
.PHONY : cores/arduino/api/Common.cpp.i

cores/arduino/api/Common.s: cores/arduino/api/Common.cpp.s

.PHONY : cores/arduino/api/Common.s

# target to generate assembly for a file
cores/arduino/api/Common.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Common.cpp.s
.PHONY : cores/arduino/api/Common.cpp.s

cores/arduino/api/IPAddress.o: cores/arduino/api/IPAddress.cpp.o

.PHONY : cores/arduino/api/IPAddress.o

# target to build an object file
cores/arduino/api/IPAddress.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/IPAddress.cpp.o
.PHONY : cores/arduino/api/IPAddress.cpp.o

cores/arduino/api/IPAddress.i: cores/arduino/api/IPAddress.cpp.i

.PHONY : cores/arduino/api/IPAddress.i

# target to preprocess a source file
cores/arduino/api/IPAddress.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/IPAddress.cpp.i
.PHONY : cores/arduino/api/IPAddress.cpp.i

cores/arduino/api/IPAddress.s: cores/arduino/api/IPAddress.cpp.s

.PHONY : cores/arduino/api/IPAddress.s

# target to generate assembly for a file
cores/arduino/api/IPAddress.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/IPAddress.cpp.s
.PHONY : cores/arduino/api/IPAddress.cpp.s

cores/arduino/api/Print.o: cores/arduino/api/Print.cpp.o

.PHONY : cores/arduino/api/Print.o

# target to build an object file
cores/arduino/api/Print.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Print.cpp.o
.PHONY : cores/arduino/api/Print.cpp.o

cores/arduino/api/Print.i: cores/arduino/api/Print.cpp.i

.PHONY : cores/arduino/api/Print.i

# target to preprocess a source file
cores/arduino/api/Print.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Print.cpp.i
.PHONY : cores/arduino/api/Print.cpp.i

cores/arduino/api/Print.s: cores/arduino/api/Print.cpp.s

.PHONY : cores/arduino/api/Print.s

# target to generate assembly for a file
cores/arduino/api/Print.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Print.cpp.s
.PHONY : cores/arduino/api/Print.cpp.s

cores/arduino/api/Stream.o: cores/arduino/api/Stream.cpp.o

.PHONY : cores/arduino/api/Stream.o

# target to build an object file
cores/arduino/api/Stream.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Stream.cpp.o
.PHONY : cores/arduino/api/Stream.cpp.o

cores/arduino/api/Stream.i: cores/arduino/api/Stream.cpp.i

.PHONY : cores/arduino/api/Stream.i

# target to preprocess a source file
cores/arduino/api/Stream.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Stream.cpp.i
.PHONY : cores/arduino/api/Stream.cpp.i

cores/arduino/api/Stream.s: cores/arduino/api/Stream.cpp.s

.PHONY : cores/arduino/api/Stream.s

# target to generate assembly for a file
cores/arduino/api/Stream.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Stream.cpp.s
.PHONY : cores/arduino/api/Stream.cpp.s

cores/arduino/api/String.o: cores/arduino/api/String.cpp.o

.PHONY : cores/arduino/api/String.o

# target to build an object file
cores/arduino/api/String.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/String.cpp.o
.PHONY : cores/arduino/api/String.cpp.o

cores/arduino/api/String.i: cores/arduino/api/String.cpp.i

.PHONY : cores/arduino/api/String.i

# target to preprocess a source file
cores/arduino/api/String.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/String.cpp.i
.PHONY : cores/arduino/api/String.cpp.i

cores/arduino/api/String.s: cores/arduino/api/String.cpp.s

.PHONY : cores/arduino/api/String.s

# target to generate assembly for a file
cores/arduino/api/String.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/String.cpp.s
.PHONY : cores/arduino/api/String.cpp.s

example/test.o: example/test.cpp.o

.PHONY : example/test.o

# target to build an object file
example/test.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/example/test.cpp.o
.PHONY : example/test.cpp.o

example/test.i: example/test.cpp.i

.PHONY : example/test.i

# target to preprocess a source file
example/test.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/example/test.cpp.i
.PHONY : example/test.cpp.i

example/test.s: example/test.cpp.s

.PHONY : example/test.s

# target to generate assembly for a file
example/test.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/example/test.cpp.s
.PHONY : example/test.cpp.s

src/dtostrf.o: src/dtostrf.c.o

.PHONY : src/dtostrf.o

# target to build an object file
src/dtostrf.c.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/dtostrf.c.o
.PHONY : src/dtostrf.c.o

src/dtostrf.i: src/dtostrf.c.i

.PHONY : src/dtostrf.i

# target to preprocess a source file
src/dtostrf.c.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/dtostrf.c.i
.PHONY : src/dtostrf.c.i

src/dtostrf.s: src/dtostrf.c.s

.PHONY : src/dtostrf.s

# target to generate assembly for a file
src/dtostrf.c.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/dtostrf.c.s
.PHONY : src/dtostrf.c.s

src/itoa.o: src/itoa.cpp.o

.PHONY : src/itoa.o

# target to build an object file
src/itoa.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/itoa.cpp.o
.PHONY : src/itoa.cpp.o

src/itoa.i: src/itoa.cpp.i

.PHONY : src/itoa.i

# target to preprocess a source file
src/itoa.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/itoa.cpp.i
.PHONY : src/itoa.cpp.i

src/itoa.s: src/itoa.cpp.s

.PHONY : src/itoa.s

# target to generate assembly for a file
src/itoa.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/itoa.cpp.s
.PHONY : src/itoa.cpp.s

src/linux/LinuxCommon.o: src/linux/LinuxCommon.cpp.o

.PHONY : src/linux/LinuxCommon.o

# target to build an object file
src/linux/LinuxCommon.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/linux/LinuxCommon.cpp.o
.PHONY : src/linux/LinuxCommon.cpp.o

src/linux/LinuxCommon.i: src/linux/LinuxCommon.cpp.i

.PHONY : src/linux/LinuxCommon.i

# target to preprocess a source file
src/linux/LinuxCommon.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/linux/LinuxCommon.cpp.i
.PHONY : src/linux/LinuxCommon.cpp.i

src/linux/LinuxCommon.s: src/linux/LinuxCommon.cpp.s

.PHONY : src/linux/LinuxCommon.s

# target to generate assembly for a file
src/linux/LinuxCommon.cpp.s:
