=== libdeps/native-tft/lvgl/env_support/qnx/Makefile ===
LIST=CPU
include recurse.mk
