=== libdeps/native-tft/LovyanGFX/examples/Test/build_test/main/CMakeLists.txt ===
idf_component_register(
  SRCS "main.cpp"
  INCLUDE_DIRS  "."
  REQUIRES LovyanGFX)
