=== debian/changelog ===
meshtasticd (2.7.14.45~obs4df6627~alpha) alpha; urgency=medium

  * GitHub Actions Automatic packaging for 2.7.14.45~obs4df6627~alpha

 --  <jbennett@incomsystems.biz>  Thu, 13 Nov 2025 12:39:59 +0000
